Browse Source

Updates for testing period for 20.01 release

* charm-helpers sync for classic charms
* rebuild for reactive charms
* ensure tox.ini is from release-tools
* ensure requirements.txt files are from release-tools
* On reactive charms:
  - ensure master branch for charms.openstack
  - ensure master branch for charm-helpers

Change-Id: Ib4642a870c073ab8c3dbd68778277f568d23c103
changes/07/770407/1
Alex Kavanagh 3 months ago
parent
commit
50605f56d1
3 changed files with 7 additions and 1 deletions
  1. +1
    -1
      rebuild
  2. +4
    -0
      src/wheelhouse.txt
  3. +2
    -0
      test-requirements.txt

+ 1
- 1
rebuild View File

@ -2,4 +2,4 @@
# when dependencies of the charm change,
# but nothing in the charm needs to.
# simply change the uuid to something new
50186952-0e2c-11eb-bdd1-176af67350d5
6fc3b306-5418-11eb-a6de-fba60420841c

+ 4
- 0
src/wheelhouse.txt View File

@ -0,0 +1,4 @@
git+https://opendev.org/openstack/charms.openstack.git#egg=charms.openstack
git+https://github.com/juju/charm-helpers.git#egg=charmhelpers

+ 2
- 0
test-requirements.txt View File

@ -22,6 +22,8 @@ importlib-resources<3.0.0; python_version < '3.6'
# dropped support for python 3.5:
osprofiler<2.7.0;python_version<'3.6'
stevedore<1.31.0;python_version<'3.6'
debtcollector<1.22.0;python_version<'3.6'
oslo.utils<=3.41.0;python_version<'3.6'
requests>=2.18.4
charms.reactive


Loading…
Cancel
Save